Name:           perl-Crypt-OpenSSL-RSA
Version:        0.33
Release:        1
Summary:        Perl interface to OpenSSL for RSA
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Crypt-OpenSSL-RSA
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/Crypt-OpenSSL-RSA-%{version}.tar.gz

BuildRequires:  gcc findutils make openssl openssl-devel perl-devel perl-generators perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6 perl(Crypt::OpenSSL::Guess) >= 0.11
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict) perl(warnings) perl(Carp)
BuildRequires:  perl(AutoLoader) perl(Crypt::OpenSSL::Bignum) perl(XSLoader)
BuildRequires:  perl(Crypt::OpenSSL::Random) perl(base) perl(Test) perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Crypt::OpenSSL::Random) perl(Crypt::OpenSSL::Bignum)

%description
encoding and decoding according to using the openSSL libraries

%package help
Summary:help for perl-Crypt-OpenSSL-RSA

%description help
The help package conatins man manual for perl-Crypt-OpenSSL-RSA

%prep
%autosetup -n Crypt-OpenSSL-RSA-%{version} -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Crypt/

%files help
%{_mandir}/man3/*
%doc Changes README

%changelog
* Wed Jun 14 2023 wulei <wu_lei@hoperun.com> - 0.33-1
- Update to 0.33

* Thu Feb 02 2023 xu_ping <xuping33@h-partners.com> - 0.32-2
- Fix a build error caused by upgrade openssl

* Tue Jan 18 2022 SimpleUpdate Robot <tc@openeuler.org> - 0.32-1
- Upgrade to version 0.32

* Wed Jun 02 2021 zhaoyao<zhaoyao32@huawei.com> - 0.30-5
- fixs faileds: /bin/sh: gcc: command not found.

* Thu Nov 21 2019 wangye<wangye54@huawei.com> - 0.30-4
- Package init
